// lcd_1602.h
//
// header of SC1602 charactor LCD

/*
 * @file  lcd_1602.h
 * @brief LCDhCowb_
 *
 * {\tgEFA̒쌠͍쐬ł()kldqL̂ƂA
 * ()kldq́Aȉ (1)`(3) ̏𖞂ꍇɌA
 * {\tgEFAi{\tgEFAς̂܂ށBȉj
 * gpEEρEĔzziȉApƌĂԁj邱Ƃ𖳏ŋB
 *
 * (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́AL̒
 *	   \A̗pÂ܂܂̌`Ń\[XR[hɊ܂܂
 *	   邱ƁB
 * (2) {\tgEFÄꕔ܂͑SĂ𖳒fœ]ڂ邱Ƃ֎~
 *	   ƂBGȂǂ֏ЉE^̏ꍇ()kldqɘA肢܂B
 * (3) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *	   A()kldq͈؂̐ӔC𕉂Ȃ̂ƂB
 *
 * Copyright (C) Hokuto denshi Co,Ltd. 2018
 */

#ifndef _LCD_1602_H
#define _LCD_1602_H

#define WAIT_20US		(300)

extern void lcd_init(void);
extern void lcd_cmd(unsigned char c);
extern void lcd_hs1(void);
extern void lcd_hs2(void);
extern void lcd_clear(void);
extern void lcd_write_char(unsigned char c);
extern void lcd_write_hex(unsigned char c);
extern void lcd_write_byte_int( unsigned char num );
extern void lcd_write_short_int( unsigned short num );
extern void lcd_write_str(unsigned char *str);

#endif